#!/bin/sh
#
# SlackBuild for requiredbuilder
#
##################################
## Creator: Stefano Stabellini  ##
## stefano@stabellini.net       ##
## http://www.stabellini.net    ##
##################################
#

CWD=`pwd`
if [ "$TMP" = "" ]; then
  TMP=/tmp
fi

if [ ! -d $TMP ]; then
  mkdir -p $TMP # location to build the source
fi
PKG=/tmp/package-requiredbuilder

VERSION=0.16.3
ARCH=noarch
BUILD=48.4

if [ "$ARCH" = "i386" ]; then
  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
elif [ "$ARCH" = "s390" ]; then
  SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
  SLKCFLAGS="-O2"
fi

rm -rf $PKG
mkdir -p $PKG/usr/bin
mkdir -p $PKG/usr/man/man1
mkdir -p $PKG/etc
echo "+=====================+"
echo "| requiredbuilder-$VERSION |"
echo "+=====================+"
cd $TMP
rm -rf requiredbuilder-$VERSION
tar xvzf $CWD/requiredbuilder-$VERSION.tar.gz
cd requiredbuilder-$VERSION
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 700 -exec chmod 755 {} \;
find . -perm 744 -exec chmod 755 {} \;
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
./install.sh $PKG
chown -R root.root $PKG/usr/bin
gzip -9 $PKG/usr/man/man1/*
mkdir -p $PKG/usr/doc/requiredbuilder-$VERSION
cp AUTHORS $PKG/usr/doc/requiredbuilder-$VERSION
cp COPYING $PKG/usr/doc/requiredbuilder-$VERSION
cp README $PKG/usr/doc/requiredbuilder-$VERSION
cp INSTALL $PKG/usr/doc/requiredbuilder-$VERSION
cp ChangeLog $PKG/usr/doc/requiredbuilder-$VERSION
mkdir -p $PKG/usr/src/requiredbuilder-$VERSION
cat $CWD/ZenBuild > $PKG/usr/src/requiredbuilder-$VERSION/build-requiredbuilder.sh
mkdir -p $PKG/install
cat $CWD/slack-desc.zenwalk > $PKG/install/slack-desc
#cat $CWD/slack-suggests > $PKG/install/slack-suggests
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
makepkg -l y -c n ../requiredbuilder-$VERSION-$ARCH-$BUILD.tgz

